<?php
/*
 * Plugin name: Grimlock for Tutor LMS
 * Plugin URI:  https://www.themosaurus.com/
 * Description: Adds integration features for Grimlock and Tutor LMS.
 * Author:      Themosaurus
 * Author URI:  https://www.themosaurus.com/
 * Version:     1.0.0
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: grimlock-tutor
 * Domain Path: /languages
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'GRIMLOCK_TUTOR_VERSION',         '1.0.0' );
define( 'GRIMLOCK_TUTOR_PLUGIN_FILE',     __FILE__ );
define( 'GRIMLOCK_TUTOR_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'GRIMLOCK_TUTOR_PLUGIN_DIR_URL',  plugin_dir_url( __FILE__ ) );

// Initialize update checker
require 'libs/plugin-update-checker/plugin-update-checker.php';
Puc_v4_Factory::buildUpdateChecker(
	'http://files.themosaurus.com/grimlock-tutor/version.json',
	__FILE__,
	'grimlock-tutor'
);

/**
 * Load plugin.
 */
function grimlock_tutor_loaded() {
	require_once 'inc/class-grimlock-tutor.php';

	global $grimlock_tutor;
	$grimlock_tutor = new Grimlock_Tutor();

	do_action( 'grimlock_tutor_loaded' );
}
add_action( 'grimlock_loaded', 'grimlock_tutor_loaded' );